GET api/cleanroomapi/cleanroomsbycustomer/{customerId}?active={active}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
customerId

globally unique identifier

Required

active

boolean

None.

Body Parameters

None.

Response Information

Resource Description

Collection of CleanRoomViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_type_id

globally unique identifier

Required

communication_server_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

local_name

string

None.

name

string

Required

type_of_temperature

string

Required

Response Formats

application/json, text/json

Sample:
[
  {
    "active": true,
    "cleanroom_type_id": "71386b64-b2cc-4951-8a99-16b8f2cdb19a",
    "communication_server_id": "ef31e0fc-c0b2-4718-9c4b-d407b1291483",
    "id": "0d95059e-5f02-43ae-8e0b-a3e7aafbe2dd",
    "local_id": 1,
    "local_name": "sample string 3",
    "name": "sample string 4",
    "type_of_temperature": "sample string 5"
  },
  {
    "active": true,
    "cleanroom_type_id": "71386b64-b2cc-4951-8a99-16b8f2cdb19a",
    "communication_server_id": "ef31e0fc-c0b2-4718-9c4b-d407b1291483",
    "id": "0d95059e-5f02-43ae-8e0b-a3e7aafbe2dd",
    "local_id": 1,
    "local_name": "sample string 3",
    "name": "sample string 4",
    "type_of_temperature": "sample string 5"
  }
]

application/xml, text/xml

Sample:
<ArrayOfcleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <cleanroom>
    <active>true</active>
    <cleanroom_type_id>71386b64-b2cc-4951-8a99-16b8f2cdb19a</cleanroom_type_id>
    <communication_server_id>ef31e0fc-c0b2-4718-9c4b-d407b1291483</communication_server_id>
    <id>0d95059e-5f02-43ae-8e0b-a3e7aafbe2dd</id>
    <local_id>1</local_id>
    <local_name>sample string 3</local_name>
    <name>sample string 4</name>
    <type_of_temperature>sample string 5</type_of_temperature>
  </cleanroom>
  <cleanroom>
    <active>true</active>
    <cleanroom_type_id>71386b64-b2cc-4951-8a99-16b8f2cdb19a</cleanroom_type_id>
    <communication_server_id>ef31e0fc-c0b2-4718-9c4b-d407b1291483</communication_server_id>
    <id>0d95059e-5f02-43ae-8e0b-a3e7aafbe2dd</id>
    <local_id>1</local_id>
    <local_name>sample string 3</local_name>
    <name>sample string 4</name>
    <type_of_temperature>sample string 5</type_of_temperature>
  </cleanroom>
</ArrayOfcleanroom>